local oldSendMessage = HF_SendHitMessage

local icon2emoji = {
	["K_HMFAL"] = "<a:KHMFAL:1363212198809440378>",
	["K_HMBOM"] = "<:KITBOMR:1349856626710151321>",
	["K_HMGRN"] = "<:KITGRNR:1349856638953197608>",
	["K_HMATOR"] = "<:KITATOR:1349856599124086794>",
	["K_HMBNCR"] = "<:KITBNCR:1349856612537339984>",
	["K_HMSCTR"] = "<:KITSCTR:1349856664353898557>",
	["K_HMRALR"] = "<:KITRALR:1349856652291215360>",
	["K_HMEFT"] = "<a:KHMEFT:1363185184505200671>",
	["K_HMCHOP"] = "<:KHMCHOP:1363185167174336712>",
	["K_HMHEG"] = "<a:KHMHEG:1363185213546692618>",
	["K_HMTSR"] = "<a:KHMTSR:1363167225279676486>",
	["K_HMEXPL"] = "<:KHMEXPL:1363252914365272217>",
	["K_HMSPIN"] = "<:KHMSPIN:1363253600628768828>",
	["HF_FATAL"] = "<:FATALITY:1363689625662787734>",
	["ICO_FIRE"] = "<:FIRE:1364396799866966137>",
	["K_HMSNK"] = "<:KISSINK:1349856560771502234>",
	["K_HMHYU"] = "<:HYUDORO:1364779229186756628>",
	["K_GODFL"] = "<a:GODFL:1366924193127731200>",
}

rawset(_G, "HF_SendHitMessage", function(s, v, icon, ...) -- source player, victim player, icon, color (optional)
	-- checks before going through with it
	if not (icon) then return end -- if it has no icon we cant do this

    local emoji = icon2emoji[icon]

    if isserver and emoji then
        -- now we add the message

        -- s and v take table information;
        -- {{name string, name string color}, {icon patch, item patch color}, player}
        -- player is specifically for displayplayer highlighting
        local source = HF_ValidateFields(s)
        local victim = HF_ValidateFields(v)
		if not source then source = victim end

        local sourcestr = (source[3] == victim[3]) and "" or source[1][1].." "

        print("[HITFEED] "..sourcestr..emoji.." "..victim[1][1])
    end

    oldSendMessage(s, v, icon, ...)
end)
if HL_OnHyudoroSteal then
    HL_OnHyudoroSteal(function(v, s)
        if not isserver then return end

        print("[HITFEED] "..s.name.." <:HYUDORO:1364779229186756628> "..v.name)
    end)
end
